package de.intevation.flys.importer;

public class ImportAttribute
implements   Comparable<ImportAttribute>
{
    protected String value;

    public ImportAttribute() {
    }

    public ImportAttribute(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public int compareTo(ImportAttribute other) {
        return value.compareTo(other.value);
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) return true;
        if (!(other instanceof ImportPosition)) return false;
        return value.equals(((ImportPosition)other).value);
    }

    @Override
    public int hashCode() {
        return value.hashCode();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
